﻿/// Jasig CAS server emulation with ASP.NET
/// by Uli Trampe
/// http://jasigemu.codeplex.com/
/// 
using System;
using System.Web.Security;

namespace WebFormsCasServer
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPostBack) return;

            this.textUser.Text = this.Context.User.Identity.Name;
        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            // sing out forms authentication
            FormsAuthentication.SignOut();

            // we cannot call FormsAuthentication.RedirectToLoginPage here because it would append a ReturnUrl parameter
            this.Response.Redirect(FormsAuthentication.LoginUrl);
        }
    }
}
